function::task_utime
Prev | Chapter 7. Task Time Tapset | Next

## Name

function::task_utime — User time of the task

## Synopsis

    1) task_utime:long()

    2) task_utime:long(tid:long)

## Arguments

`tid`

  Thread id of the given task

## Description

1) Returns the user time of the current task in cputime. Does not include any time used by other tasks in this process, nor does it include any time of the children of this task.

2) Returns the user time of the given task in cputime, or zero if the task doesn't exist. Does not include any time used by other tasks in this process, nor does it include any time of the children of this task.

Prev | Up | Next
function::task_time_string_tid | Home | function::usecs_to_string